let xhr = new XMLHttpRequest()

xhr.open('GET', 'https://www.thecocktaildb.com/api/json/v1/1/search.php?f=a')

xhr.addEventListener('readystatechange', function(){
    switch(xhr.readyState){
        case XMLHttpRequest.DONE:
            if(xhr.status == 200){
                console.log("DONE")
                console.log(xhr.responseText)
                console.log(xhr.response)
                obradiOdgovor(xhr.response)
            } 
            if(xhr.status>=400){
                console.log("Greske " + xhr.statusText)
            }
    }
})

xhr.send()

function obradiOdgovor(response){
    let obj = JSON.parse(response)
    console.log(obj)

    let body = document.getElementsByTagName('body')[0]

    for(let drink of obj.drinks){
        console.log(drink)
        let p = document.createElement('p')
        p.textContent = drink.strDrink
        body.appendChild(p)
        let ul = document.createElement('ul')
        p.appendChild(ul)
        for(let i = 1; i<=15; i++){
            let li = document.createElement('li')
            let sastojak = drink['strIngredient'+i]
            if(sastojak == null)
                break;
            li.textContent = sastojak
            ul.appendChild(li)
        }
    }
}